unit KompTest;
{$IFDEF FPC}
  {$MODE Delphi}
{$ENDIF}



interface

uses
{$IFnDEF FPC}
  Windows,
{$ELSE}
  LCLIntf, LCLType, LMessages,
{$ENDIF}
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics,
  Dialogs, StdCtrls, ExtCtrls, Uhr, Meter120, Windrose, Tline;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    SBW: TScrollBar;
    SBWR: TScrollBar;
    Timer1: TTimer;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SBWChange(Sender: TObject);
    procedure SBWRChange(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    m : TMeter120;
    u : TUhr;
    w : TWindrose;
    ms : TMassStab;
    um : TUmschalter;
    lin : TXLinie;
  end;

var
  Form1: TForm1;


implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);

begin
  um.state := not um.State ;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin

end;


procedure TForm1.FormActivate(Sender: TObject);
begin

end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  u:=TUhr.Create(Self);
  u.Parent:=(Self);
  u.left:=10;
  u.Top:=20;
  u.width:=200;
  u.height:=200;
  u.Font.Style:=[fsBold];
  u.Zeigerfarbe:=clBlue; { Zeigerfarbe }
  u.Pen.Width:=1;
  u.Pen.Color:=clblue;
  u.Font.Color:=u.Zeigerfarbe;
  u.Font.Name:='Arial';
  u.Brush.Color:=clyellow;
  u.Zeit:=now();

   m:=TMeter120.Create(Self);
   m.Parent:=(Self);
   m.Width:=210;
   m.Height:=m.Width * 2 div 3;
   m.left:=250;
   m.Top:=10;
   m.Font.Style:=[fsBold];
   m.Zeigerfarbe:=clblue; { Zeigerfarbe }
   m.Pen.Width:=1;
   m.Pen.Color:=clblue;
   m.Font.Color:=u.Zeigerfarbe;
   m.Font.Name:='Arial';
   m.Brush.Color:=clyellow;
   m.Einheit:='V';
   m.Wert:=SBW.Position;
   m.WertAnzeigen:=true;
   m.Autorange:=false;
   m.RundeEcken:=true;
   if not m.Autorange then begin
     m.Vorsatz:=kein;
     m.Bereich:=Ber100;
   end;
   {m.OnChange:=MChange; }
   w:=TWindrose.Create(Self);
   w.Parent:=(Self);
   w.left:=20;
   w.Top:=250;
   w.Height:=150;
   w.Width:=150;
   w.Brush.Color:=clyellow;
   w.WindFahnenfarbe:=clBlack; { Windfahne }
   w.Grad:=30;

   ms:=TMassStab.Create(Self);
   ms.Parent:=(Self);
   ms.left:=250;
   ms.Top:=250;
   ms.Brush.Color:=clWhite;
   ms.MaxValue:=40 ;
   ms.MinValue:=0;
   ms.Step :=5;

   um:=TUmschalter.Create(Self);
   um.Parent:=(Self);
   um.Left:=200;
   um.Top:=350;
   um.Width :=30;
   um.Height :=30;

   lin:=TXLinie.Create (Self);
   lin.Parent:=(Self);
   lin.Left :=600;
   lin.Top := 250;
   lin.Direction :=LoRu;
   lin.Width:=40;
   lin.Height:=80;
   lin.Pen.Width:=4 ;
   lin.Pen.Color:=clBlack ;
   lin.Canvas.brush.Color :=clred;

end;

procedure TForm1.SBWChange(Sender: TObject);
begin
  m.Wert:=SBW.Position;

end;

procedure TForm1.SBWRChange(Sender: TObject);
begin
  w.Grad:=SBWR.Position;
end;

procedure TForm1.Timer1Timer(Sender: TObject);

begin
  u.Zeit:=now();
end;

end.

